import 'package:leancloud/avobject.dart';

abstract class AVBean {
  static const String CREATED_AT = 'createdAt';
  static const String UPDATED_AT = 'updatedAt';
  static const String OBJECT_ID = 'objectId';

  int createdAt;
  int updatedAt;
  String objectId;

  AVBean fromAVObject(AVObject avobject) {
    if (avobject != null) {
      createdAt = avobject.getInt(CREATED_AT);
      updatedAt = avobject.getInt(UPDATED_AT);
      objectId = avobject.getString(OBJECT_ID);
      onFromAVObject(avobject);
    }
    return this;
  }

  AVObject toAVObject() {
    AVObject toAVObject = AVObject(getClassName());
    if (objectId != null && objectId.isNotEmpty) {
      toAVObject.put(OBJECT_ID, objectId);
    }
    onToAVObject(toAVObject);
    return toAVObject;
  }

  void onFromAVObject(AVObject avobject);

  void onToAVObject(AVObject avobject);

  String getClassName();
}
