import 'package:leancloud/avobject.dart';

import 'avbean.dart';

class AVFile extends AVBean {
  static const String CLASSNAME = 'AVFile';
  static const String NAME = 'name';
  static const String URL = 'url';
  static const String LOCALPATH = 'localPath';

  String name;
  String url;
  String localPath;

  AVFile();

  AVFile.name(this.name);

  @override
  void onFromAVObject(AVObject avobject) {
    name = avobject.getString(NAME);
    url = avobject.getString(URL);
    localPath = avobject.getString(LOCALPATH);
  }

  @override
  void onToAVObject(AVObject avobject) {
    avobject.put(NAME, name);
    avobject.put(URL, url);
    avobject.put(LOCALPATH, localPath);
  }

  @override
  String getClassName() {
    return CLASSNAME;
  }
}
